Search Results for

Show / Hide Table of Contents

# Struct MouseEvent

Describes a mouse event

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public struct MouseEvent

### Fields

#### Flags

Flags indicating the kind of mouse event that is being posted.

##### Declaration

    public MouseFlags Flags

##### Field Value

Type | Description
--- | ---
MouseFlags |

#### OfX

The offset X (column) location for the mouse event.

##### Declaration

    public int OfX

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### OfY

The offset Y (column) location for the mouse event.

##### Declaration

    public int OfY

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### View

The current view at the location for the mouse event.

##### Declaration

    public View View

##### Field Value

Type | Description
--- | ---
View |

#### X

The X (column) location for the mouse event.

##### Declaration

    public int X

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### Y

The Y (column) location for the mouse event.

##### Declaration

    public int Y

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Methods

#### ToString()

Returns a System.String that represents the current MouseEvent.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A System.String that represents the current MouseEvent.

##### Overrides

System.ValueType.ToString()